Summary: The routing daemon which maintains routing tables.
Name: routed
Version: 0.17
Release: 5mdk
License: BSD
Group: System/Servers
URL: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit
Source: ftp://sunsite.unc.edu/pub/Linux/system/network/daemons/netkit-routed-%{version}.tar.bz2
Source1: routed.init
Patch: routed-nonrootbuild.patch.bz2
Patch1: routed-BM-fix.patch.bz2
#Patch2: routed-gee-man-fork.patch.bz2
Prereq: /sbin/chkconfig
Prereq: rpm-helper
Buildroot: %{_tmppath}/%{name}-root
Conflicts: gated

%description
The routed routing daemon handles incoming RIP traffic and broadcasts
outgoing RIP traffic about network traffic routes, in order to maintain
current routing tables.  These routing tables are essential for a
networked computer, so that it knows where packets need to be sent.

The routed package should be installed on any networked machine.

%prep
%setup -q -n netkit-%{name}-%{version}
%patch -p1
%patch1 -p1
#%patch2 -p1


%build
%serverbuild

./configure --prefix=%{_prefix}
CC=gcc CFLAGS="$RPM_OPT_FLAGS" make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_initrddir},%{_mandir}/man8,%{_sbindir}}
make INSTALLROOT=$RPM_BUILD_ROOT install
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_initrddir}/routed

perl -pi -e "s|/etc/rc.d/init.d|%{_initrddir}|" $RPM_BUILD_ROOT%{_initrddir}/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service %name

%preun
%_preun_service %name

%files
%defattr(-,root,root)
%{_sbindir}/*
%{_mandir}/man8/*
%config(noreplace) %{_initrddir}/routed

%changelog
* Wed Jul 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.17-5mdk
- fix some rpmlint stuff
- fix build (use gcc instead of egcs)

* Tue Apr 03 2001 Francis Galiegue <fg@mandrakesoft.com> 0.17-4mdk

- Use %%serverbuild and %%_*_service


* Wed Aug 30 2000 Francis Galiegue <fg@mandrakesoft.com> 0.17-3mdk

- Conflicts: gated

* Wed Aug 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.17-2mdk
- rebuild for the user of the_initrddir macro.

* Fri Aug 04 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.17-1mdk
- rebuild for new version

* Thu Jul 27 2000 Francis Galiegue <fg@mandrakesoft.com> 0.16-3mdk

- Gee... The guy thought fork() returned 0 to the parent...
- BMacros

* Mon Apr 10 2000 Geoffrey Lee <snailtalk@linux-mandrake.com>
- alpha suck fix (remove alpha patch)

* Thu Mar 16 2000 Francis Galiegue <francis@mandrakesoft.com>

- Upgraded to 0.16 (!!)
- Spec file changes
- Changed group to match 7.1 specs
- Added ripquery and its manpage
- Let spec-helper do its job

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- fix build as nonroot

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- %preun not in %postun.

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 14)

* Tue Feb  9 1999 Jeff Johnson <jbj@redhat.com>
- check for /etc/sysconfig/routed before sourcing.

* Tue Dec 22 1998 Jeff Johnson <jbj@redhat.com>
- use stderr if no trace file specified (#423).
- use FD_ISSET not fds_bits (glibc-2.1).

* Tue Jun 16 1998 Jeff Johnson <jbj@redhat.com>
- add offset to get aligned ifreq's on alpha. This should be
  fixed in the kernel eventually.

* Tue May 19 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Sun May 10 1998 Alan Cox <alan@redhat.com>
- Fixed the trace bug. Traces must now go into /var/log/routed/*

* Mon May 04 1998 Michael K. Johnson <johnsonm@redhat.com>
- Added /etc/sysconfig/routed parsing to init script

* Sat May 02 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- enhanced initscripts

* Tue Oct 28 1997 Erik Troan <ewt@redhat.com>
- fixed init script (wasn't including function library)

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- added init script, chkconfig support

* Tue Jul 15 1997 Erik Troan <ewt@redhat.com>
- initial build
